"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SQS_LARGE_PAYLOAD_SIZE_ATTRIBUTE = 'SQSLargePayloadSize';
function createExtendedCompatibilityAttributeMap(msgSize) {
    const result = {};
    result[exports.SQS_LARGE_PAYLOAD_SIZE_ATTRIBUTE] = {
        StringValue: '' + msgSize,
        DataType: 'Number',
    };
    return result;
}
exports.createExtendedCompatibilityAttributeMap = createExtendedCompatibilityAttributeMap;
function buildS3Payload(s3PayloadMeta) {
    return JSON.stringify({
        S3Payload: s3PayloadMeta,
    });
}
exports.buildS3Payload = buildS3Payload;
function buildS3PayloadWithExtendedCompatibility(s3PayloadMeta) {
    return JSON.stringify({
        s3BucketName: s3PayloadMeta.Bucket,
        s3Key: s3PayloadMeta.Key,
    });
}
exports.buildS3PayloadWithExtendedCompatibility = buildS3PayloadWithExtendedCompatibility;
//# sourceMappingURL=util.js.map